<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:include href="../project/head2/project_head2.inc.xslt"/>
	<xsl:include href="menu/project_admin_submenu.inc.xslt"/>
	<xsl:include href="menu/project_admin_roles_submenu.inc.xslt"/>
	<xsl:include href="menu/project_admin_role_submenu.inc.xslt"/>
	<xsl:include href="../_core/include/dt_edit.inc.xslt"/>
	<xsl:include href="../_site/include/tree.inc.xslt"/>
	<xsl:include href="../competence_sets/include/rate_edit.inc.xslt"/>
	<xsl:include href="../vectors/include/vector_messages.inc.xslt"/>
	<xsl:variable name="top_section" select="'projects'"/>
	<xsl:variable name="top_section_main_page" select="false()"/>
	<xsl:variable name="project_section" select="'admin'"/>
	<xsl:variable name="project_section_main_page" select="false()"/>
	<xsl:variable name="admin_section" select="'roles'"/>
	<xsl:variable name="admin_section_main_page" select="false()"/>
	<xsl:variable name="role_id" select="/root/project_admin_role_edit/document/@id"/>
	<xsl:variable name="role_title" select="/root/project_admin_role_edit/document/field[@name = 'title']"/>
	<xsl:variable name="module_url" select="concat($current_project/@url, 'admin/roles/roles/', /root/project_admin_role_edit/document/@id, '/edit/')"/>
	<xsl:template match="project_admin_role_edit">
		<div class="color-{$current_project/@color_scheme}">
			<xsl:call-template name="draw_project_head2"/>
			<xsl:call-template name="draw_project_admin_submenu"/>
			<div class="columns-wrap">
				<xsl:call-template name="draw_project_bg"/>
				<table cellspacing="0" class="columns">
					<tr>
						<xsl:if test="$project_access/@has_admin_rights = 1">
							<td class="left-column">
								<xsl:call-template name="draw_project_admin_taxonomy">
									<xsl:with-param name="base_url" select="concat($current_project/@url, 'admin/')"/>
								</xsl:call-template>
							</td>
						</xsl:if>
						<td class="center-column">
							<xsl:call-template name="draw_project_admin_roles_submenu"/>
							<div class="content">
								<h3>
									<a href="{$role_url}">
										<xsl:value-of select="$role_title"/>
									</a>
								</h3>
								<xsl:call-template name="draw_project_admin_role_submenu"/>
								<xsl:choose>
									<xsl:when test="$current_project/@vector_competence_set_id &gt; 0">
										<xsl:call-template name="_draw_form"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:call-template name="vector_messages_no_competence_set">
											<xsl:with-param name="text" select="'Редактирование ролей невозможно'"/>
										</xsl:call-template>
									</xsl:otherwise>
								</xsl:choose>
							</div>
						</td>
						<xsl:if test="not($project_access/@has_admin_rights = 1)">
							<td class="right-column">

							</td>
						</xsl:if>
					</tr>
				</table>
			</div>
		</div>
	</xsl:template>
	<xsl:template name="_draw_form">
		<form action="{$save_prefix}/project_admin_role_edit/" method="post" enctype="multipart/form-data">
			<input type="hidden" name="retpath" value="{$role_url}"/>
			<input type="hidden" name="project_id" value="{$current_project/@id}"/>
			<xsl:call-template name="draw_dt_edit">
				<xsl:with-param name="draw_button" select="false()"/>
			</xsl:call-template>
			<xsl:call-template name="draw_rate_edit">
				<xsl:with-param name="legend" select="'Компетенции, необходимые для роли (требуемые и развиваемые)'"/>
				<xsl:with-param name="descr">
					<p>
						<xsl:text>Используется набор компетенций </xsl:text>
						<xsl:for-each select="/root/competence_set_short[@id = /root/competence_set_competences/@competence_set_id]">
							<a href="{$prefix}/sets/set-{@id}/">
								<xsl:value-of select="@title"/>
							</a>
						</xsl:for-each>
						<xsl:text>.</xsl:text>
						<xsl:text> Изменить можно в разделе &#171;</xsl:text>
						<a href="{$current_project/@url}admin/vector/">Вектор</a>
						<xsl:text>&#187;.</xsl:text>
					</p>
				</xsl:with-param>
			</xsl:call-template>
		</form>
	</xsl:template>
	<xsl:template mode="head" match="/root">
		<script type="text/javascript" src="{$prefix}/editors/tiny_mce/jquery.tinymce.js"/>
		<script type="text/javascript" src="{$prefix}/js/dt.js"/>
		<script type="text/javascript" src="{$prefix}/js/tree.jquery.js"/>
		<script type="text/javascript" src="{$prefix}/js/project_admin_taxonomy.js"/>
	</xsl:template>
	<xsl:template mode="title" match="/root">
		<xsl:text>Редактирование роли &#8212; </xsl:text>
		<xsl:value-of select="$role_title"/>
		<xsl:text> &#8212; </xsl:text>
		<xsl:value-of select="$current_project/@title"/>
	</xsl:template>
</xsl:stylesheet>
